@import "src/stylesheets/modules/colors";
@import "src/stylesheets/modules/media-queries";

table {
    table-layout: fixed;
    width: 100%;
    font-size: 0.85rem;
    border-collapse: collapse;
}

tbody tr + tr td {
    border-top: 0.0625rem solid rgba(0,0,0,0.025);
}

tr {
    @include mobile {
        display: block;
        background: white;
        box-shadow: 0 0.5rem 2rem rgba(0,0,0,0.1);
        border: {
            style: solid;
            width: 0.0625rem;
            color: rgba(0,0,0,0.1);
            radius: 0.25rem;
        }
        
        &::before {
            content: 'Entry';
            display: block;
            background: desaturate($color-main, 100%);
            padding: 0 1rem;
            line-height: 2.5rem;
            color: white;
            text-transform: uppercase;
            font-weight: 700;
        }
    }
    &.checked {
        &::before {
            background-color: $color-main;
        }

        td.checkbox {
            @include mobile {
                background-color: lighten($color-main, 20%);
            }
        }
    }
}

tr + tr {
    @include mobile {
        margin-top: 1rem;
    }
}

th, td {
    font-weight: 300;
    text-align: left;
    line-height: 3.5rem;
    padding: 0 0.5rem;

    @include mobile {
        display: block;
        padding: 0 1rem;
        
        &::before {
            content: attr(data-th);
            display: block;
            text-transform: uppercase;
            line-height: 1.5;
            position: relative;
            top: 0.75rem;
            font: {
                size: 0.75rem;
                weight: 700;
            }
        }
    }

    > div {
        position: relative;
    }

    span {
        display: block;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    img {
        max-height: 2rem;
        width: auto;
        display: inline-block;
        vertical-align: middle;
        
        @include mobile {
            max-height: none;
            max-width: 100%;
            display: block;
            margin: 1.25rem auto 0;
        }
    }

    &.checkbox {
        width: 2.5rem;
        text-align: center;

        @include mobile {
            background: desaturate(lighten($color-main, 20%), 100%);
            width: auto;
            text-align: left;
        }

        input[type="checkbox"] {
            margin: 0;
        }

        span {
            display: none;
            vertical-align: middle;
            margin: 0 0 0 0.5rem;
            
            @include mobile {
                display: inline-block;
            }
        }

        label {
            display: block;
        }
    }
}

td + td:nth-last-of-type(even) {
    @include mobile {
        background-color: #FAFAFA;
    }
}

thead {
    @include mobile {
        display: none;
    }
}

th {
    line-height: 3rem;
    border-bottom: 0.0625rem solid $color-main;
}
